import numpy as np
from sklearn.model_selection import LeaveOneOut

X = np.array([[1, 2], [3, 4], [4, 2]])
y = np.array([1, 2, 1])
loo = LeaveOneOut()

for train_index, test_index in loo.split(X):
	print("TRAIN:", train_index, "TEST:", test_index)
	print( train_index.shape, test_index.shape )
	X_train, X_test = X[train_index], X[test_index]
	y_train, y_test = y[train_index], y[test_index]
	print(X_train, X_test, y_train, y_test)

